%define name gnome-toaster
%define version 20000227
%define release 5mdk

Name: %name
Summary: CD-Recording frontend for GNOME
Summary(fr): interface graphique pour la cration de CD-R sous GNOME
Version: %version
Release: %release
Source: http://gnometoaster.rulez.org/archive/gtoaster.tar.bz2
Source1: gtoaster.xpm.bz2
Source2: gtoaster32.xpm.bz2
Source3: gtoaster48.xpm.bz2
URL: http://gnometoaster.rulez.org/
Group: Archiving/Cd burning
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Copyright: GPL
Prefix: %{_prefix}

%description
CD-Recording frontend for GNOME.

%description -l fr
Interface graphique permettant de graver des CD-R sous GNOME

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gtoaster

%build
%configure

%make

%install
%makeinstall

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Applications/Archiving/Cd burning" \
title="gtoaster" \
longtitle="a GNOME utility for cd burning" \
command="%{_bindir}/gtoaster" \
icon="%{name}.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO Documentation/*
%{_bindir}/*
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/*

%changelog
* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 20000227-5mdk
- Update icons
- Embed menuentry
- BM + macroszifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000227-4mdk
- automatically added BuildRequires

* Thu May 04 2000 Daouda Lo <daouda@mandrakesoft.com> 20000227-3mdk
- icon 32x32 and 16x16.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 20000227-2mdk
- Fixed icon path in menu entry
- Rename menu file
- Add documentation
- Convert icon to xpm

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 20000227-1mdk
- release 20000227
- SMP build/check

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 19991011-2mdk
- add menu support 
- update group 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- 19991021 

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Initial RPM

